Index: trunk/libIGCM/libIGCM_card/libIGCM_card.ksh
===================================================================
--- trunk/libIGCM/libIGCM_card/libIGCM_card.ksh	(revision 1117)
+++ trunk/libIGCM/libIGCM_card/libIGCM_card.ksh	(revision 1118)
@@ -315,18 +315,10 @@
 
   #---------------------
-  ${libIGCM}/libIGCM_card/IGCM_card_Test.ksh > /tmp/IGCM_card_Test.$$.ref.failed 2>&1
+  # No need to remove timestamps here
+  diff ${libIGCM}/libIGCM_debug/IGCM_card_Test.ref <(${libIGCM}/libIGCM_card/IGCM_card_Test.ksh) > /dev/null 2>&1
   status=$?
 
-  if [ ${status} -gt 0 ] ; then
-    IGCM_debug_Print 2 "IGCM_card_Test.ksh failed for some reason"
-    IGCM_debug_Print 2 "Is /tmp full?"
-    df -h
-    IGCM_debug_Print 2 "Where /tmp is pointing to?"
-    ls -l /
-  fi
-
-  if diff /tmp/IGCM_card_Test.$$.ref.failed ${libIGCM}/libIGCM_card/IGCM_card_Test.ref > /dev/null 2>&1 ; then
+  if [ ${status} -eq 0 ] ; then
     echo "Check libIGCM_card ...............................................[ OK ]"
-    rm -f /tmp/IGCM_card_Test.$$.ref.failed
   else
     echo "Check libIGCM_card ...........................................[ FAILED ]"
@@ -336,5 +328,5 @@
     echo "           diff IGCM_card_Test.ref.failed ${libIGCM}/libIGCM_card/IGCM_card_Test.ref"
     echo "           Report errors to the author: Patrick.Brockmann@cea.fr"
-    cat /tmp/IGCM_card_Test.$$.ref.failed
+    diff ${libIGCM}/libIGCM_debug/IGCM_card_Test.ref <(${libIGCM}/libIGCM_card/IGCM_card_Test.ksh)
     IGCM_debug_Exit "IGCM_card_Check"
   fi
Index: trunk/libIGCM/libIGCM_date/libIGCM_date.ksh
===================================================================
--- trunk/libIGCM/libIGCM_date/libIGCM_date.ksh	(revision 1117)
+++ trunk/libIGCM/libIGCM_date/libIGCM_date.ksh	(revision 1118)
@@ -1034,18 +1034,10 @@
 
   #---------------------
-  ${libIGCM}/libIGCM_date/IGCM_date_Test.ksh > /tmp/IGCM_date_Test.$$.ref.failed 2>&1
+  # No need to remove timestamps here
+  diff ${libIGCM}/libIGCM_date/IGCM_date_Test${dY}.ref <(${libIGCM}/libIGCM_date/IGCM_date_Test.ksh) > /dev/null 2>&1
   status=$?
 
-  if [ ${status} -gt 0 ] ; then
-    IGCM_debug_Print 2 "IGCM_date_Test.ksh failed for some reason"
-    IGCM_debug_Print 2 "Is /tmp full?"
-    df -h
-    IGCM_debug_Print 2 "Where /tmp is pointing to?"
-    ls -l /
-  fi
-
-  if diff /tmp/IGCM_date_Test.$$.ref.failed ${libIGCM}/libIGCM_date/IGCM_date_Test${dY}.ref > /dev/null 2>&1 ; then
+  if [ ${status} -eq 0 ] ; then
     echo "Check libIGCM_date ...............................................[ OK ]"
-    rm -f /tmp/IGCM_date_Test.$$.ref.failed
   else
     echo "Check libIGCM_date ...........................................[ FAILED ]"
@@ -1055,7 +1047,6 @@
     echo "           diff IGCM_date_Test.ref.failed ${libIGCM}/libIGCM_date/IGCM_date_Test${dY}.ref"
     echo "           Report errors to the author: Sebastien.Denvil@ipsl.jussieu.fr"
-    cat /tmp/IGCM_date_Test.$$.ref.failed
+    diff ${libIGCM}/libIGCM_date/IGCM_date_Test${dY}.ref <(${libIGCM}/libIGCM_date/IGCM_date_Test.ksh)
     IGCM_debug_Exit "IGCM_date_Check"
   fi
 }
-
Index: trunk/libIGCM/libIGCM_debug/libIGCM_debug.ksh
===================================================================
--- trunk/libIGCM/libIGCM_debug/libIGCM_debug.ksh	(revision 1117)
+++ trunk/libIGCM/libIGCM_debug/libIGCM_debug.ksh	(revision 1118)
@@ -801,22 +801,10 @@
 
   #---------------------
-  ${libIGCM}/libIGCM_debug/IGCM_debug_Test.ksh > /tmp/IGCM_debug_Test.$$.ref.failed
+  # Need to remove timestamps here
+  diff ${libIGCM}/libIGCM_debug/IGCM_debug_Test.ref <(${libIGCM}/libIGCM_debug/IGCM_debug_Test.ksh | sed -e "s:[0-9][0-9][0-9][0-9]-[0-9][0-9]-[0-9][0-9] [0-9][0-9]\:[0-9][0-9]\:[0-9][0-9] ::g") > /dev/null 2>&1
   status=$?
 
-  if [ ${status} -gt 0 ] ; then
-    IGCM_debug_Print 2 "IGCM_debug_Test.ksh failed for some reason"
-    IGCM_debug_Print 2 "Is /tmp full?"
-    df -h
-    IGCM_debug_Print 2 "Where /tmp is pointing to?"
-    ls -l /
-  fi
-
-  # Remove date stamp.
-  sed -e "s:[0-9][0-9][0-9][0-9]-[0-9][0-9]-[0-9][0-9] [0-9][0-9]\:[0-9][0-9]\:[0-9][0-9] ::g" /tmp/IGCM_debug_Test.$$.ref.failed > /tmp/IGCM_debug_Test.$$.ref.failed.nodate
-  mv /tmp/IGCM_debug_Test.$$.ref.failed.nodate /tmp/IGCM_debug_Test.$$.ref.failed
-
-  if diff /tmp/IGCM_debug_Test.$$.ref.failed ${libIGCM}/libIGCM_debug/IGCM_debug_Test.ref > /dev/null 2>&1 ; then
+  if [ ${status} -eq 0 ] ; then
     echo "Check libIGCM_debug ..............................................[ OK ]"
-    rm -f /tmp/IGCM_debug_Test.$$.ref.failed
   else
     echo "Check libIGCM_debug ..........................................[ FAILED ]"
@@ -826,5 +814,5 @@
     echo "           diff IGCM_debug_Test.ref.failed ${libIGCM}/libIGCM_debug/IGCM_debug_Test.ref"
     echo "           Report errors to the author: Patrick.Brockmann@cea.fr"
-    cat /tmp/IGCM_debug_Test.$$.ref.failed
+    diff ${libIGCM}/libIGCM_debug/IGCM_debug_Test.ref <(${libIGCM}/libIGCM_debug/IGCM_debug_Test.ksh | sed -e "s:[0-9][0-9][0-9][0-9]-[0-9][0-9]-[0-9][0-9] [0-9][0-9]\:[0-9][0-9]\:[0-9][0-9] ::g")
     exit 4
   fi