Index: trunk/libIGCM/libIGCM_sys/libIGCM_sys_ada.ksh
===================================================================
--- trunk/libIGCM/libIGCM_sys/libIGCM_sys_ada.ksh	(revision 1101)
+++ trunk/libIGCM/libIGCM_sys/libIGCM_sys_ada.ksh	(revision 1121)
@@ -321,7 +321,7 @@
   fi
   # keep standard input (stdin) for the loop onto temporary file
-  cat >/tmp/tmp_IGCM_sys_RshPost_$$_${LOGNAME}
-
-  /bin/ksh </tmp/tmp_IGCM_sys_RshPost_$$_${LOGNAME}
+  cat >${RUN_DIR_PATH}/tmp_IGCM_sys_RshPost_$$_${LOGNAME}
+
+  /bin/ksh <${RUN_DIR_PATH}/tmp_IGCM_sys_RshPost_$$_${LOGNAME}
   if [ $? -gt 0 ] ; then
     echo "IGCM_sys_RshPost : erreur."
@@ -329,5 +329,5 @@
   fi
   # delete temporary file
-  \rm /tmp/tmp_IGCM_sys_RshPost_$$_${LOGNAME}
+  \rm ${RUN_DIR_PATH}/tmp_IGCM_sys_RshPost_$$_${LOGNAME}
 
   IGCM_debug_PopStack "IGCM_sys_RshPost"
@@ -761,12 +761,12 @@
       -e "s:\# \@ error *= .*:\# \@ error = ${Script_Output}:"   \
       $1 > ${REP_FOR_JOB}/JOB_FOR_IGCM
-  cd $REP_FOR_JOB ; /usr/bin/llsubmit JOB_FOR_IGCM > /tmp/out_command.$$ 2>&1 ; status=$? ; cd - ;
-
-  cat /tmp/out_command.$$
+  cd $REP_FOR_JOB ; /usr/bin/llsubmit JOB_FOR_IGCM > ${RUN_DIR_PATH}/out_command.$$ 2>&1 ; status=$? ; cd - ;
+
+  cat ${RUN_DIR_PATH}/out_command.$$
   if [ ${status} -gt 0 ] ; then
     IGCM_debug_Print 2 "IGCM_sys_Qsub $1 : error code ${status}"
     IGCM_debug_Exit "IGCM_sys_Qsub"
   else
-    JobID=$( gawk {'print $4'} /tmp/out_command.$$ | tail -1 | sed -e s/\"//g )
+    JobID=$( gawk {'print $4'} ${RUN_DIR_PATH}/out_command.$$ | tail -1 | sed -e s/\"//g )
     IGCM_sys_Rm ${REP_FOR_JOB}/JOB_FOR_IGCM
   fi
@@ -938,11 +938,11 @@
   mkdir -p ${HOME}/MIRROR/${PATHlibIGCM}
 
-  echo ${RSYNC} ${RSYNC_opt} ${libIGCM} ${HOME}/MIRROR/${PATHlibIGCM} > /tmp/out_command.$$ 2>&1
-  ${RSYNC} ${RSYNC_opt} ${libIGCM} ${HOME}/MIRROR/${PATHlibIGCM} >> /tmp/out_command.$$ 2>&1
+  echo ${RSYNC} ${RSYNC_opt} ${libIGCM} ${HOME}/MIRROR/${PATHlibIGCM} > ${RUN_DIR_PATH}/out_command.$$ 2>&1
+  ${RSYNC} ${RSYNC_opt} ${libIGCM} ${HOME}/MIRROR/${PATHlibIGCM} >> ${RUN_DIR_PATH}/out_command.$$ 2>&1
   status=$?
 
   if [ ${status} -gt 0 ] ; then
     echo "IGCM_sys_Mirror_libIGCM Warning : no libIGCM on frontend."
-    cat /tmp/out_command.$$
+    cat ${RUN_DIR_PATH}/out_command.$$
   fi
   IGCM_debug_PopStack "IGCM_sys_Mirror_libIGCM"
@@ -962,14 +962,14 @@
   typeset status
 
-  echo cp $@ > /tmp/out_command.$$ 2>&1
-  \cp $@ >> /tmp/out_command.$$ 2>&1
+  echo cp $@ > ${RUN_DIR_PATH}/out_command.$$ 2>&1
+  \cp $@ >> ${RUN_DIR_PATH}/out_command.$$ 2>&1
   status=$?
 
   if [ ${status} -gt 0 ] ; then
     echo "IGCM_sys_Cp : error code ${status}"
-    cat /tmp/out_command.$$
+    cat ${RUN_DIR_PATH}/out_command.$$
     IGCM_debug_Exit "IGCM_sys_Cp"
   else
-    \rm /tmp/out_command.$$
+    \rm ${RUN_DIR_PATH}/out_command.$$
   fi
   IGCM_debug_PopStack "IGCM_sys_Cp"
@@ -1033,14 +1033,14 @@
     typeset status
 
-    echo mv $@ > /tmp/out_command.$$ 2>&1
-    \mv $@ >> /tmp/out_command.$$ 2>&1
+    echo mv $@ > ${RUN_DIR_PATH}/out_command.$$ 2>&1
+    \mv $@ >> ${RUN_DIR_PATH}/out_command.$$ 2>&1
     status=$?
 
     if [ ${status} -gt 0 ] ; then
       echo "IGCM_sys_Mv : error code ${status}"
-      cat /tmp/out_command.$$
+      cat ${RUN_DIR_PATH}/out_command.$$
       IGCM_debug_Exit "IGCM_sys_Mv"
     else
-      \rm /tmp/out_command.$$
+      \rm ${RUN_DIR_PATH}/out_command.$$
     fi
   fi
@@ -1074,8 +1074,8 @@
     DEBUG_sys=false IGCM_sys_IsFileArchived $2
     if [ $? = 0 ] ; then
-      \rcp -r $1 ${STOREHOST}:$2 > /tmp/out_command.$$ 2>&1
+      \rcp -r $1 ${STOREHOST}:$2 > ${RUN_DIR_PATH}/out_command.$$ 2>&1
       status=$?
     else
-      \cp -r $1 $2 > /tmp/out_command.$$ 2>&1
+      \cp -r $1 $2 > ${RUN_DIR_PATH}/out_command.$$ 2>&1
       status=$?
     fi
@@ -1083,8 +1083,8 @@
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_Put_Dir : rcp or cp failed error code ${status}"
-      cat /tmp/out_command.$$
+      cat ${RUN_DIR_PATH}/out_command.$$
       IGCM_debug_Exit "IGCM_sys_Put_Dir"
     else
-      \rm /tmp/out_command.$$
+      \rm ${RUN_DIR_PATH}/out_command.$$
     fi
   fi
@@ -1125,5 +1125,5 @@
       i=0
       while [ $i -lt $NB_ESSAI ] ; do
-        \rcp -rp ${STOREHOST}:$1 $2 > /tmp/out_command.$$ 2>&1
+        \rcp -rp ${STOREHOST}:$1 $2 > ${RUN_DIR_PATH}/out_command.$$ 2>&1
         status=$?
         if [ ${status} -gt 0 ]; then
@@ -1137,20 +1137,20 @@
       done
     else
-      \cp -rp $1 $2 > /tmp/out_command.$$ 2>&1
+      \cp -rp $1 $2 > ${RUN_DIR_PATH}/out_command.$$ 2>&1
       status=$?
       if [ ${status} -gt 0 ] ; then
         IGCM_debug_Print 2 "IGCM_sys_Get_Dir : cp failed error code ${status}"
-        cat /tmp/out_command.$$
+        cat ${RUN_DIR_PATH}/out_command.$$
         IGCM_debug_Exit "IGCM_sys_Get_Dir"
       else
-        \rm /tmp/out_command.$$
+        \rm ${RUN_DIR_PATH}/out_command.$$
       fi
     fi
     if [ ${status} -gt 0 ] ; then
       echo "IGCM_sys_Get_Dir : error."
-      cat /tmp/out_command.$$
+      cat ${RUN_DIR_PATH}/out_command.$$
       IGCM_debug_Exit "IGCM_sys_Get_Dir"
     else
-      \rm /tmp/out_command.$$
+      \rm ${RUN_DIR_PATH}/out_command.$$
     fi
   fi
@@ -1183,5 +1183,5 @@
     i=0
     while [ $i -lt $NB_ESSAI ] ; do
-      \cp -urL $1 $2 > /tmp/out_command.$$ 2>&1
+      \cp -urL $1 $2 > ${RUN_DIR_PATH}/out_command.$$ 2>&1
       status=$?
       if [ ${status} -gt 0 ]; then
@@ -1197,8 +1197,8 @@
     if [ ${status} -gt 0 ] ; then
       echo "IGCM_sys_Get_Master : error."
-      cat /tmp/out_command.$$
+      cat ${RUN_DIR_PATH}/out_command.$$
       IGCM_debug_Exit "IGCM_sys_Get_Master"
     else
-      \rm /tmp/out_command.$$
+      \rm ${RUN_DIR_PATH}/out_command.$$
     fi
   fi
@@ -1239,9 +1239,9 @@
     DEBUG_sys=false IGCM_sys_IsFileArchived $2
     if [ $? = 0 ] ; then
-      mfput $1 $2 > /tmp/out_command.$$ 2>&1
+      mfput $1 $2 > ${RUN_DIR_PATH}/out_command.$$ 2>&1
       status=$?
     else
       IGCM_sys_MkdirArchive $( dirname $2 )
-      \cp $1 $2 > /tmp/out_command.$$ 2>&1
+      \cp $1 $2 > ${RUN_DIR_PATH}/out_command.$$ 2>&1
       status=$?
     fi
@@ -1249,23 +1249,23 @@
 #       #RSYNC WITH NETWORK RSH CALL
 #       IGCM_sys_MkdirArchive $( dirname $2 )
-#       echo ${RSYNC} ${RSYNC_opt} --rsync-path=${REMOTE_RSYNC} -e rsh ${RUN_DIR}/$1 ${STOREHOST}:${2} > /tmp/out_command.$$ 2>&1
-#       ${RSYNC} ${RSYNC_opt} --rsync-path=${REMOTE_RSYNC} -e rsh ${RUN_DIR}/$1 ${STOREHOST}:${2} >> /tmp/out_command.$$ 2>&1
+#       echo ${RSYNC} ${RSYNC_opt} --rsync-path=${REMOTE_RSYNC} -e rsh ${RUN_DIR}/$1 ${STOREHOST}:${2} > ${RUN_DIR_PATH}/out_command.$$ 2>&1
+#       ${RSYNC} ${RSYNC_opt} --rsync-path=${REMOTE_RSYNC} -e rsh ${RUN_DIR}/$1 ${STOREHOST}:${2} >> ${RUN_DIR_PATH}/out_command.$$ 2>&1
 
 #       #RSYNC WITH NFS USE
-#       echo ${RSYNC} ${RSYNC_opt} ${RUN_DIR}/$1 ${2} > /tmp/out_command.$$ 2>&1
-#       ${RSYNC} ${RSYNC_opt} ${RUN_DIR}/$1 ${2} >> /tmp/out_command.$$ 2>&1
+#       echo ${RSYNC} ${RSYNC_opt} ${RUN_DIR}/$1 ${2} > ${RUN_DIR_PATH}/out_command.$$ 2>&1
+#       ${RSYNC} ${RSYNC_opt} ${RUN_DIR}/$1 ${2} >> ${RUN_DIR_PATH}/out_command.$$ 2>&1
 
 #       status=$?
 #       IGCM_sys_Rsync_out $status
 
-#       ${libIGCM}/libIGCM_sys/IGCM_analyse_rsync_out.awk /tmp/out_command.$$
+#       ${libIGCM}/libIGCM_sys/IGCM_analyse_rsync_out.awk ${RUN_DIR_PATH}/out_command.$$
 #       (( status=status+$? ))
 
     if [ ${status} -gt 0 ] ; then
       echo "IGCM_sys_Put_Rest : mfput or cp failed error code ${status}"
-      cat /tmp/out_command.$$
+      cat ${RUN_DIR_PATH}/out_command.$$
       IGCM_debug_Exit "IGCM_sys_Put_Rest"
     else
-      \rm /tmp/out_command.$$
+      \rm ${RUN_DIR_PATH}/out_command.$$
     fi
   fi
@@ -1298,5 +1298,5 @@
     #
     # USUAL WAY
-    \cp $1 $2 > /tmp/out_command.$$ 2>&1
+    \cp $1 $2 > ${RUN_DIR_PATH}/out_command.$$ 2>&1
     status=$?
 
@@ -1305,8 +1305,8 @@
       [ -f ${2} ] && ls -l ${2}
       [ -f ${2}/${1} ] && ls -l ${2}/${1}
-      cat /tmp/out_command.$$
+      cat ${RUN_DIR_PATH}/out_command.$$
       IGCM_debug_Exit "IGCM_sys_PutBuffer_Rest"
     else
-      \rm /tmp/out_command.$$
+      \rm ${RUN_DIR_PATH}/out_command.$$
     fi
   fi
@@ -1358,9 +1358,9 @@
     DEBUG_sys=false IGCM_sys_IsFileArchived $2
     if [ $? = 0 ] ; then
-      mfput $1 $2 > /tmp/out_command.$$ 2>&1
+      mfput $1 $2 > ${RUN_DIR_PATH}/out_command.$$ 2>&1
       status=$?
     else
       IGCM_sys_MkdirArchive $( dirname $2 )
-      \cp $1 $2 > /tmp/out_command.$$ 2>&1
+      \cp $1 $2 > ${RUN_DIR_PATH}/out_command.$$ 2>&1
       status=$?
     fi
@@ -1368,23 +1368,23 @@
 #       #RSYNC WITH NETWORK RSH CALL
 #       IGCM_sys_MkdirArchive $( dirname $2 )
-#       echo ${RSYNC} ${RSYNC_opt} --rsync-path=${REMOTE_RSYNC} -e rsh ${RUN_DIR}/$1 ${STOREHOST}:${2} > /tmp/out_command.$$ 2>&1
-#       ${RSYNC} ${RSYNC_opt} --rsync-path=${REMOTE_RSYNC} -e rsh ${RUN_DIR}/$1 ${STOREHOST}:${2} >> /tmp/out_command.$$ 2>&1
+#       echo ${RSYNC} ${RSYNC_opt} --rsync-path=${REMOTE_RSYNC} -e rsh ${RUN_DIR}/$1 ${STOREHOST}:${2} > ${RUN_DIR_PATH}/out_command.$$ 2>&1
+#       ${RSYNC} ${RSYNC_opt} --rsync-path=${REMOTE_RSYNC} -e rsh ${RUN_DIR}/$1 ${STOREHOST}:${2} >> ${RUN_DIR_PATH}/out_command.$$ 2>&1
 
 #       #RSYNC WITH NFS USE
-#       echo ${RSYNC} ${RSYNC_opt} ${RUN_DIR}/$1 ${2} > /tmp/out_command.$$ 2>&1
-#       ${RSYNC} ${RSYNC_opt} ${RUN_DIR}/$1 ${2} >> /tmp/out_command.$$ 2>&1
+#       echo ${RSYNC} ${RSYNC_opt} ${RUN_DIR}/$1 ${2} > ${RUN_DIR_PATH}/out_command.$$ 2>&1
+#       ${RSYNC} ${RSYNC_opt} ${RUN_DIR}/$1 ${2} >> ${RUN_DIR_PATH}/out_command.$$ 2>&1
 
 #       status=$?
 #       IGCM_sys_Rsync_out $status
 
-#       ${libIGCM}/libIGCM_sys/IGCM_analyse_rsync_out.awk /tmp/out_command.$$
+#       ${libIGCM}/libIGCM_sys/IGCM_analyse_rsync_out.awk ${RUN_DIR_PATH}/out_command.$$
 #       (( status=status+$? ))
 
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_Put_Out : mfput or cp failed error code ${status}"
-      cat /tmp/out_command.$$
+      cat ${RUN_DIR_PATH}/out_command.$$
       IGCM_debug_Exit "IGCM_sys_Put_Out"
     else
-      \rm /tmp/out_command.$$
+      \rm ${RUN_DIR_PATH}/out_command.$$
     fi
   fi
@@ -1444,5 +1444,5 @@
       while [ $i -lt $NB_ESSAI ] ; do
         # USUAL WAY
-        \cp $1 $2 > /tmp/out_command.$$ 2>&1
+        \cp $1 $2 > ${RUN_DIR_PATH}/out_command.$$ 2>&1
         status=$?
         if [ ${status} -gt 0 ]; then
@@ -1463,5 +1463,5 @@
       [ -f ${2} ] && ls -l ${2}
       [ -f ${2}/${1} ] && ls -l ${2}/${1}
-      cat /tmp/out_command.$$
+      cat ${RUN_DIR_PATH}/out_command.$$
       IGCM_debug_Exit "IGCM_sys_PutBuffer_Out"
     else
@@ -1474,5 +1474,5 @@
       fi
 
-      \rm /tmp/out_command.$$
+      \rm ${RUN_DIR_PATH}/out_command.$$
     fi
   fi
@@ -1521,31 +1521,31 @@
     DEBUG_sys=false IGCM_sys_IsFileArchived ${dm_liste[0]}
     if [ $? = 0 ] ; then
-      mfget ${dm_liste[*]} ${DEST} > /tmp/out_command.$$ 2>&1
+      mfget ${dm_liste[*]} ${DEST} > ${RUN_DIR_PATH}/out_command.$$ 2>&1
       status=$?
     else
-      \cp ${dm_liste[*]} ${DEST} > /tmp/out_command.$$ 2>&1
+      \cp ${dm_liste[*]} ${DEST} > ${RUN_DIR_PATH}/out_command.$$ 2>&1
       status=$?
     fi
 
 #       #RSYNC WITH NETWORK RSH CALL
-#       echo ${RSYNC} ${RSYNC_opt} --rsync-path=${REMOTE_RSYNC} -e rsh ${STOREHOST}:"${dm_liste}" ${STOREHOST}:${RUN_DIR}/${DEST} > /tmp/out_command.$$ 2>&1
-#       ${RSYNC} ${RSYNC_opt} --rsync-path=${REMOTE_RSYNC} -e rsh ${STOREHOST}:"${dm_liste}" ${STOREHOST}:${RUN_DIR}/${DEST} >> /tmp/out_command.$$ 2>&1
+#       echo ${RSYNC} ${RSYNC_opt} --rsync-path=${REMOTE_RSYNC} -e rsh ${STOREHOST}:"${dm_liste}" ${STOREHOST}:${RUN_DIR}/${DEST} > ${RUN_DIR_PATH}/out_command.$$ 2>&1
+#       ${RSYNC} ${RSYNC_opt} --rsync-path=${REMOTE_RSYNC} -e rsh ${STOREHOST}:"${dm_liste}" ${STOREHOST}:${RUN_DIR}/${DEST} >> ${RUN_DIR_PATH}/out_command.$$ 2>&1
 
 #       #RSYNC WITH NFS USE
-#       echo ${RSYNC} ${RSYNC_opt} ${dm_liste} ${RUN_DIR}/${DEST} > /tmp/out_command.$$ 2>&1
-#       ${RSYNC} ${RSYNC_opt} ${dm_liste} ${RUN_DIR}/${DEST} >> /tmp/out_command.$$ 2>&1
+#       echo ${RSYNC} ${RSYNC_opt} ${dm_liste} ${RUN_DIR}/${DEST} > ${RUN_DIR_PATH}/out_command.$$ 2>&1
+#       ${RSYNC} ${RSYNC_opt} ${dm_liste} ${RUN_DIR}/${DEST} >> ${RUN_DIR_PATH}/out_command.$$ 2>&1
 
 #       status=$?
 #       IGCM_sys_Rsync_out $status
 
-#       ${libIGCM}/libIGCM_sys/IGCM_analyse_rsync_out.awk /tmp/out_command.$$
+#       ${libIGCM}/libIGCM_sys/IGCM_analyse_rsync_out.awk ${RUN_DIR_PATH}/out_command.$$
 #       (( status=status+$? ))
 
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_Get : mfget or cp failed error code ${status}"
-      cat /tmp/out_command.$$
+      cat ${RUN_DIR_PATH}/out_command.$$
       IGCM_debug_Exit "IGCM_sys_Get"
     else
-      \rm /tmp/out_command.$$
+      \rm ${RUN_DIR_PATH}/out_command.$$
     fi
   fi
@@ -1587,5 +1587,5 @@
         i=0
         while [ $i -lt $NB_ESSAI ] ; do
-          \cp ${target} ${DEST}/${local_file} >> /tmp/out_command.$$ 2>&1
+          \cp ${target} ${DEST}/${local_file} >> ${RUN_DIR_PATH}/out_command.$$ 2>&1
           status=$?
           if [ ${status} -gt 0 ]; then
@@ -1600,9 +1600,9 @@
         if [ ${status} -gt 0 ] ; then
           echo "IGCM_sys_Get : error"
-          cat /tmp/out_command.$$
-          \rm /tmp/out_command.$$
+          cat ${RUN_DIR_PATH}/out_command.$$
+          \rm ${RUN_DIR_PATH}/out_command.$$
           IGCM_debug_Exit "IGCM_sys_GetBuffer"
         else
-          \rm /tmp/out_command.$$
+          \rm ${RUN_DIR_PATH}/out_command.$$
         fi
       done
@@ -1610,5 +1610,5 @@
       i=0
       while [ $i -lt $NB_ESSAI ] ; do
-        \cp ${buf_liste} ${DEST} >> /tmp/out_command.$$ 2>&1
+        \cp ${buf_liste} ${DEST} >> ${RUN_DIR_PATH}/out_command.$$ 2>&1
         status=$?
         if [ ${status} -gt 0 ]; then
@@ -1623,9 +1623,9 @@
       if [ ${status} -gt 0 ] ; then
         echo "IGCM_sys_Get : error"
-        cat /tmp/out_command.$$
-        \rm /tmp/out_command.$$
+        cat ${RUN_DIR_PATH}/out_command.$$
+        \rm ${RUN_DIR_PATH}/out_command.$$
         IGCM_debug_Exit "IGCM_sys_GetBuffer"
       else
-        \rm /tmp/out_command.$$
+        \rm ${RUN_DIR_PATH}/out_command.$$
       fi
     fi
@@ -1768,10 +1768,10 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    /smphome/rech/psl/rpsl035/bin/rebuild -f -o $@ > /tmp/out_command.$$ 2>&1
+    /smphome/rech/psl/rpsl035/bin/rebuild -f -o $@ > ${RUN_DIR_PATH}/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_rebuild : error code ${status}"
-      cat /tmp/out_command.$$
-      \rm /tmp/out_command.$$
+      cat ${RUN_DIR_PATH}/out_command.$$
+      \rm ${RUN_DIR_PATH}/out_command.$$
       IGCM_debug_Print 2 "IGCM_sys_rebuild : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       firstArg=${1}
@@ -1779,5 +1779,5 @@
       sleep $DELAI
     else
-      \rm /tmp/out_command.$$
+      \rm ${RUN_DIR_PATH}/out_command.$$
       break
     fi
@@ -2248,14 +2248,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncap2 -C "$@" > /tmp/out_command.$$ 2>&1
+    ncap2 -C "$@" > ${RUN_DIR_PATH}/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncap2 : error code ${status}"
-      cat /tmp/out_command.$$
-      \rm /tmp/out_command.$$
+      cat ${RUN_DIR_PATH}/out_command.$$
+      \rm ${RUN_DIR_PATH}/out_command.$$
       IGCM_debug_Print 2 "IGCM_sys_ncap2 : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm /tmp/out_command.$$
+      \rm ${RUN_DIR_PATH}/out_command.$$
       break
     fi
@@ -2290,14 +2290,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncatted "$@" > /tmp/out_command.$$ 2>&1
+    ncatted "$@" > ${RUN_DIR_PATH}/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncatted : error code ${status}"
-      cat /tmp/out_command.$$
-      \rm /tmp/out_command.$$
+      cat ${RUN_DIR_PATH}/out_command.$$
+      \rm ${RUN_DIR_PATH}/out_command.$$
       IGCM_debug_Print 2 "IGCM_sys_ncatted : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm /tmp/out_command.$$
+      \rm ${RUN_DIR_PATH}/out_command.$$
       break
     fi
@@ -2332,14 +2332,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncbo -C $@ > /tmp/out_command.$$ 2>&1
+    ncbo -C $@ > ${RUN_DIR_PATH}/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncbo : error code ${status}"
-      cat /tmp/out_command.$$
-      \rm /tmp/out_command.$$
+      cat ${RUN_DIR_PATH}/out_command.$$
+      \rm ${RUN_DIR_PATH}/out_command.$$
       IGCM_debug_Print 2 "IGCM_sys_ncbo : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm /tmp/out_command.$$
+      \rm ${RUN_DIR_PATH}/out_command.$$
       break
     fi
@@ -2374,14 +2374,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncdiff -C $@ > /tmp/out_command.$$ 2>&1
+    ncdiff -C $@ > ${RUN_DIR_PATH}/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncdiff : error code ${status}"
-      cat /tmp/out_command.$$
-      \rm /tmp/out_command.$$
+      cat ${RUN_DIR_PATH}/out_command.$$
+      \rm ${RUN_DIR_PATH}/out_command.$$
       IGCM_debug_Print 2 "IGCM_sys_ncdiff : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm /tmp/out_command.$$
+      \rm ${RUN_DIR_PATH}/out_command.$$
       break
     fi
@@ -2416,14 +2416,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncea -C $@ > /tmp/out_command.$$ 2>&1
+    ncea -C $@ > ${RUN_DIR_PATH}/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncea : error code ${status}"
-      cat /tmp/out_command.$$
-      \rm /tmp/out_command.$$
+      cat ${RUN_DIR_PATH}/out_command.$$
+      \rm ${RUN_DIR_PATH}/out_command.$$
       IGCM_debug_Print 2 "IGCM_sys_ncea : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm /tmp/out_command.$$
+      \rm ${RUN_DIR_PATH}/out_command.$$
       break
     fi
@@ -2458,14 +2458,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncecat -C $@ > /tmp/out_command.$$ 2>&1
+    ncecat -C $@ > ${RUN_DIR_PATH}/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncecat : error code ${status}"
-      cat /tmp/out_command.$$
-      \rm /tmp/out_command.$$
+      cat ${RUN_DIR_PATH}/out_command.$$
+      \rm ${RUN_DIR_PATH}/out_command.$$
       IGCM_debug_Print 2 "IGCM_sys_ncecat : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm /tmp/out_command.$$
+      \rm ${RUN_DIR_PATH}/out_command.$$
       break
     fi
@@ -2500,14 +2500,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncflint -C $@ > /tmp/out_command.$$ 2>&1
+    ncflint -C $@ > ${RUN_DIR_PATH}/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncflint : error code ${status}"
-      cat /tmp/out_command.$$
-      \rm /tmp/out_command.$$
+      cat ${RUN_DIR_PATH}/out_command.$$
+      \rm ${RUN_DIR_PATH}/out_command.$$
       IGCM_debug_Print 2 "IGCM_sys_ncflint : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm /tmp/out_command.$$
+      \rm ${RUN_DIR_PATH}/out_command.$$
       break
     fi
@@ -2542,14 +2542,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncks -C $@ > /tmp/out_command.$$ 2>&1
+    ncks -C $@ > ${RUN_DIR_PATH}/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncks : error code ${status}"
-      cat /tmp/out_command.$$
-      \rm /tmp/out_command.$$
+      cat ${RUN_DIR_PATH}/out_command.$$
+      \rm ${RUN_DIR_PATH}/out_command.$$
       IGCM_debug_Print 2 "IGCM_sys_ncks : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm /tmp/out_command.$$
+      \rm ${RUN_DIR_PATH}/out_command.$$
       break
     fi
@@ -2584,14 +2584,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncpdq -C $@ > /tmp/out_command.$$ 2>&1
+    ncpdq -C $@ > ${RUN_DIR_PATH}/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncpdq : error code ${status}"
-      cat /tmp/out_command.$$
-      \rm /tmp/out_command.$$
+      cat ${RUN_DIR_PATH}/out_command.$$
+      \rm ${RUN_DIR_PATH}/out_command.$$
       IGCM_debug_Print 2 "IGCM_sys_ncpdq : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm /tmp/out_command.$$
+      \rm ${RUN_DIR_PATH}/out_command.$$
       break
     fi
@@ -2626,14 +2626,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncra -C $@ > /tmp/out_command.$$ 2>&1
+    ncra -C $@ > ${RUN_DIR_PATH}/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncra : error code ${status}"
-      cat /tmp/out_command.$$
-      \rm /tmp/out_command.$$
+      cat ${RUN_DIR_PATH}/out_command.$$
+      \rm ${RUN_DIR_PATH}/out_command.$$
       IGCM_debug_Print 2 "IGCM_sys_ncra : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm /tmp/out_command.$$
+      \rm ${RUN_DIR_PATH}/out_command.$$
       break
     fi
@@ -2668,24 +2668,24 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncrcat -C $@ > /tmp/out_command.$$ 2>&1
+    ncrcat -C $@ > ${RUN_DIR_PATH}/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncrcat : error code ${status}"
-      cat /tmp/out_command.$$
-      \rm /tmp/out_command.$$
+      cat ${RUN_DIR_PATH}/out_command.$$
+      \rm ${RUN_DIR_PATH}/out_command.$$
       IGCM_debug_Print 2 "IGCM_sys_ncrcat : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
-    elif [ ! "X$( grep "WARNING Intra-file non-monotonicity" /tmp/out_command.$$ )" = "X" ] ; then
+    elif [ ! "X$( grep "WARNING Intra-file non-monotonicity" ${RUN_DIR_PATH}/out_command.$$ )" = "X" ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncrcat : WARNING Intra-file non-monotonicity"
-      cat /tmp/out_command.$$
+      cat ${RUN_DIR_PATH}/out_command.$$
       # remove files having corrupted time axis
       eval lastArg=\${$#}
       IGCM_debug_Print 2 "IGCM_sys_ncrcat : Delete ${lastArg}"
       \rm ${lastArg}
-      \rm /tmp/out_command.$$
+      \rm ${RUN_DIR_PATH}/out_command.$$
       IGCM_debug_Print 2 "IGCM_sys_ncrcat : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm /tmp/out_command.$$
+      \rm ${RUN_DIR_PATH}/out_command.$$
       break
     fi
@@ -2720,14 +2720,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncrename $@ > /tmp/out_command.$$ 2>&1
+    ncrename $@ > ${RUN_DIR_PATH}/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncrename : error code ${status}"
-      cat /tmp/out_command.$$
-      \rm /tmp/out_command.$$
+      cat ${RUN_DIR_PATH}/out_command.$$
+      \rm ${RUN_DIR_PATH}/out_command.$$
       IGCM_debug_Print 2 "IGCM_sys_ncrename : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm /tmp/out_command.$$
+      \rm ${RUN_DIR_PATH}/out_command.$$
       break
     fi
@@ -2762,14 +2762,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncwa -C $@ > /tmp/out_command.$$ 2>&1
+    ncwa -C $@ > ${RUN_DIR_PATH}/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncwa : error code ${status}"
-      cat /tmp/out_command.$$
-      \rm /tmp/out_command.$$
+      cat ${RUN_DIR_PATH}/out_command.$$
+      \rm ${RUN_DIR_PATH}/out_command.$$
       IGCM_debug_Print 2 "IGCM_sys_ncwa : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm /tmp/out_command.$$
+      \rm ${RUN_DIR_PATH}/out_command.$$
       break
     fi
@@ -2801,10 +2801,10 @@
   typeset status
 
-  \cdo $@ > /tmp/out_command.$$ 2>&1
+  \cdo $@ > ${RUN_DIR_PATH}/out_command.$$ 2>&1
   status=$?
   if [ ${status} -gt 0 ] ; then
     echo "IGCM_sys_cdo : error code ${status}"
-    cat /tmp/out_command.$$
-    \rm /tmp/out_command.$$
+    cat ${RUN_DIR_PATH}/out_command.$$
+    \rm ${RUN_DIR_PATH}/out_command.$$
     IGCM_debug_PopStack "IGCM_sys_cdo"
     return 1