Index: trunk/libIGCM/libIGCM_ensemble/libIGCM_ensemble.ksh
===================================================================
--- trunk/libIGCM/libIGCM_ensemble/libIGCM_ensemble.ksh	(revision 1146)
+++ trunk/libIGCM/libIGCM_ensemble/libIGCM_ensemble.ksh	(revision 1147)
@@ -35,4 +35,12 @@
   IGCM_debug_Print 1 "Ens_PARAMETRIC ACTIVE  = ${ensemble_Ens_PARAMETRIC_active}"
   echo ""
+
+  #====================================================
+  # Define ARCHIVE : Dedicated to large files
+  # Define STORAGE : Dedicated to small/medium files
+  # Define R_OUT   : Output tree located on ARCHIVE
+  # Define R_FIG   : Output tree located on STORAGE hosting figures (monitoring and atlas, and/or small files)
+  # Define R_BUF   : USELESS and DEPRECATED output tree.
+  IGCM_sys_defineArchives
 
   IGCM_debug_PopStack "IGCM_ensemble_Init"
Index: trunk/libIGCM/libIGCM_sys/libIGCM_sys_ada.ksh
===================================================================
--- trunk/libIGCM/libIGCM_sys/libIGCM_sys_ada.ksh	(revision 1146)
+++ trunk/libIGCM/libIGCM_sys/libIGCM_sys_ada.ksh	(revision 1147)
@@ -1821,5 +1821,5 @@
     [ ${i} = 1 ] && file_out=${file_in} && continue
     # detect time counter and do the job only if present
-    var_unlim=$(ncdump -h ${file_in} | grep UNLIMITED | cut -d ' ' -f 1)
+    var_unlim=$(ncdump -h ${file_in} | grep UNLIMITED | cut -d ' ' -f 1 | sed -e 's/^[ \t]*//' -e 's/[ \t]*$//')
     if [ X${var_unlim} = Xtime_counter ] ; then
       prefix_invert=$( basename ${file_in} .nc )
Index: trunk/libIGCM/libIGCM_sys/libIGCM_sys_curie.ksh
===================================================================
--- trunk/libIGCM/libIGCM_sys/libIGCM_sys_curie.ksh	(revision 1146)
+++ trunk/libIGCM/libIGCM_sys/libIGCM_sys_curie.ksh	(revision 1147)
@@ -1985,5 +1985,5 @@
     [ ${i} = 1 ] && file_out=${file_in} && continue
     # detect time counter and do the job only if present
-    var_unlim=$(ncdump -h ${file_in} | grep UNLIMITED | cut -d ' ' -f 1)
+    var_unlim=$(ncdump -h ${file_in} | grep UNLIMITED | cut -d ' ' -f 1 | sed -e 's/^[ \t]*//' -e 's/[ \t]*$//')
     if [ X${var_unlim} = Xtime_counter ] ; then
       prefix_invert=$( basename ${file_in} .nc )
Index: trunk/libIGCM/libIGCM_sys/libIGCM_sys_default.ksh
===================================================================
--- trunk/libIGCM/libIGCM_sys/libIGCM_sys_default.ksh	(revision 1146)
+++ trunk/libIGCM/libIGCM_sys/libIGCM_sys_default.ksh	(revision 1147)
@@ -1497,5 +1497,5 @@
     [ ${i} = 1 ] && file_out=${file_in} && continue
     # detect time counter and do the job only if present
-    var_unlim=$(ncdump -h ${file_in} | grep UNLIMITED | cut -d ' ' -f 1)
+    var_unlim=$(ncdump -h ${file_in} | grep UNLIMITED | cut -d ' ' -f 1 | sed -e 's/^[ \t]*//' -e 's/[ \t]*$//')
     if [ X${var_unlim} = Xtime_counter ] ; then
       prefix_invert=$( basename ${file_in} .nc )
Index: trunk/libIGCM/libIGCM_sys/libIGCM_sys_iitm.ksh
===================================================================
--- trunk/libIGCM/libIGCM_sys/libIGCM_sys_iitm.ksh	(revision 1146)
+++ trunk/libIGCM/libIGCM_sys/libIGCM_sys_iitm.ksh	(revision 1147)
@@ -1539,5 +1539,5 @@
     [ ${i} = 1 ] && file_out=${file_in} && continue
     # detect time counter and do the job only if present
-    var_unlim=$(ncdump -h ${file_in} | grep UNLIMITED | cut -d ' ' -f 1)
+    var_unlim=$(ncdump -h ${file_in} | grep UNLIMITED | cut -d ' ' -f 1 | sed -e 's/^[ \t]*//' -e 's/[ \t]*$//')
     if [ X${var_unlim} = Xtime_counter ] ; then
       prefix_invert=$( basename ${file_in} .nc )
Index: trunk/libIGCM/libIGCM_sys/libIGCM_sys_obelix.ksh
===================================================================
--- trunk/libIGCM/libIGCM_sys/libIGCM_sys_obelix.ksh	(revision 1146)
+++ trunk/libIGCM/libIGCM_sys/libIGCM_sys_obelix.ksh	(revision 1147)
@@ -1537,5 +1537,5 @@
     [ ${i} = 1 ] && file_out=${file_in} && continue
     # detect time counter and do the job only if present
-    var_unlim=$(ncdump -h ${file_in} | grep UNLIMITED | cut -d ' ' -f 1)
+    var_unlim=$(ncdump -h ${file_in} | grep UNLIMITED | cut -d ' ' -f 1 | sed -e 's/^[ \t]*//' -e 's/[ \t]*$//')
     if [ X${var_unlim} = Xtime_counter ] ; then
       prefix_invert=$( basename ${file_in} .nc )