Index: /trunk/libIGCM/AA_SaveSourceModifications
===================================================================
--- /trunk/libIGCM/AA_SaveSourceModifications	(revision 1153)
+++ /trunk/libIGCM/AA_SaveSourceModifications	(revision 1154)
@@ -6,5 +6,5 @@
 #-Q- curie #MSUB -n 1            # Reservation du processus
 #-Q- curie #MSUB -T 7200         # Limite de temps elapsed du job
-#-Q- curie #MSUB -q xlarge
+#-Q- curie #MSUB -q ::default_node::
 #-Q- curie #MSUB -Q normal
 #-Q- curie #MSUB -A ::default_project::
Index: /trunk/libIGCM/AA_additionnal
===================================================================
--- /trunk/libIGCM/AA_additionnal	(revision 1153)
+++ /trunk/libIGCM/AA_additionnal	(revision 1154)
@@ -6,5 +6,5 @@
 #-Q- curie #MSUB -n 1              # Reservation du processus
 #-Q- curie #MSUB -T 7200          # Limite de temps elapsed du job
-#-Q- curie #MSUB -q xlarge
+#-Q- curie #MSUB -q ::default_node::
 #-Q- curie #MSUB -Q normal
 #-Q- curie #MSUB -A ::default_project::
Index: /trunk/libIGCM/AA_atlas_LMDZ
===================================================================
--- /trunk/libIGCM/AA_atlas_LMDZ	(revision 1153)
+++ /trunk/libIGCM/AA_atlas_LMDZ	(revision 1154)
@@ -6,5 +6,5 @@
 #-Q- curie #MSUB -n 1              # Reservation du processus
 #-Q- curie #MSUB -T 7200          # Limite de temps elapsed du job
-#-Q- curie #MSUB -q xlarge
+#-Q- curie #MSUB -q ::default_node::
 #-Q- curie #MSUB -Q normal
 #-Q- curie #MSUB -A ::default_project::
Index: /trunk/libIGCM/AA_atlas_ORCA_LIM
===================================================================
--- /trunk/libIGCM/AA_atlas_ORCA_LIM	(revision 1153)
+++ /trunk/libIGCM/AA_atlas_ORCA_LIM	(revision 1154)
@@ -6,5 +6,5 @@
 #-Q- curie #MSUB -n 1              # Reservation du processus
 #-Q- curie #MSUB -T 7200          # Limite de temps elapsed du job
-#-Q- curie #MSUB -q xlarge
+#-Q- curie #MSUB -q ::default_node::
 #-Q- curie #MSUB -Q normal
 #-Q- curie #MSUB -A ::default_project::
Index: /trunk/libIGCM/AA_atlas_ORCHIDEE
===================================================================
--- /trunk/libIGCM/AA_atlas_ORCHIDEE	(revision 1153)
+++ /trunk/libIGCM/AA_atlas_ORCHIDEE	(revision 1154)
@@ -6,5 +6,5 @@
 #-Q- curie #MSUB -n 1              # Reservation du processus
 #-Q- curie #MSUB -T 7200          # Limite de temps elapsed du job
-#-Q- curie #MSUB -q xlarge
+#-Q- curie #MSUB -q ::default_node::
 #-Q- curie #MSUB -Q normal
 #-Q- curie #MSUB -A ::default_project::
Index: /trunk/libIGCM/AA_atlas_PISCES
===================================================================
--- /trunk/libIGCM/AA_atlas_PISCES	(revision 1153)
+++ /trunk/libIGCM/AA_atlas_PISCES	(revision 1154)
@@ -6,5 +6,5 @@
 #-Q- curie #MSUB -n 1              # Reservation du processus
 #-Q- curie #MSUB -T 7200          # Limite de temps elapsed du job
-#-Q- curie #MSUB -q xlarge
+#-Q- curie #MSUB -q ::default_node::
 #-Q- curie #MSUB -Q normal
 #-Q- curie #MSUB -A ::default_project::
Index: /trunk/libIGCM/AA_create_multi_se
===================================================================
--- /trunk/libIGCM/AA_create_multi_se	(revision 1153)
+++ /trunk/libIGCM/AA_create_multi_se	(revision 1154)
@@ -6,5 +6,5 @@
 #-Q- curie #MSUB -n 1              # Reservation du processus
 #-Q- curie #MSUB -T 36000          # Limite de temps elapsed du job
-#-Q- curie #MSUB -q xlarge
+#-Q- curie #MSUB -q ::default_node::
 #-Q- curie #MSUB -Q normal
 #-Q- curie #MSUB -A ::default_project::
Index: /trunk/libIGCM/AA_create_se
===================================================================
--- /trunk/libIGCM/AA_create_se	(revision 1153)
+++ /trunk/libIGCM/AA_create_se	(revision 1154)
@@ -6,5 +6,5 @@
 #-Q- curie #MSUB -n 1              # Reservation du processus
 #-Q- curie #MSUB -T 36000          # Limite de temps elapsed du job
-#-Q- curie #MSUB -q xlarge
+#-Q- curie #MSUB -q ::default_node::
 #-Q- curie #MSUB -Q normal
 #-Q- curie #MSUB -A ::default_project::
Index: /trunk/libIGCM/AA_create_ts
===================================================================
--- /trunk/libIGCM/AA_create_ts	(revision 1153)
+++ /trunk/libIGCM/AA_create_ts	(revision 1154)
@@ -6,5 +6,5 @@
 #-Q- curie #MSUB -n 1              # Reservation du processus
 #-Q- curie #MSUB -T 80000          # Limite de temps elapsed du job
-#-Q- curie #MSUB -q xlarge
+#-Q- curie #MSUB -q ::default_node::
 #-Q- curie #MSUB -Q normal
 #-Q- curie #MSUB -A ::default_project::
Index: /trunk/libIGCM/AA_monitoring
===================================================================
--- /trunk/libIGCM/AA_monitoring	(revision 1153)
+++ /trunk/libIGCM/AA_monitoring	(revision 1154)
@@ -6,5 +6,5 @@
 #-Q- curie #MSUB -n 1              # Reservation du processus
 #-Q- curie #MSUB -T 14400          # Limite de temps elapsed du job
-#-Q- curie #MSUB -q xlarge
+#-Q- curie #MSUB -q ::default_node::
 #-Q- curie #MSUB -Q normal
 #-Q- curie #MSUB -A ::default_project::
Index: /trunk/libIGCM/AA_pack_debug
===================================================================
--- /trunk/libIGCM/AA_pack_debug	(revision 1153)
+++ /trunk/libIGCM/AA_pack_debug	(revision 1154)
@@ -6,5 +6,5 @@
 #-Q- curie #MSUB -n 1              # Reservation du processus
 #-Q- curie #MSUB -T 3600          # Limite de temps elapsed du job
-#-Q- curie #MSUB -q xlarge
+#-Q- curie #MSUB -q ::default_node::
 #-Q- curie #MSUB -Q normal
 #-Q- curie #MSUB -A ::default_project::
Index: /trunk/libIGCM/AA_pack_output
===================================================================
--- /trunk/libIGCM/AA_pack_output	(revision 1153)
+++ /trunk/libIGCM/AA_pack_output	(revision 1154)
@@ -6,5 +6,5 @@
 #-Q- curie #MSUB -n 1              # Reservation du processus
 #-Q- curie #MSUB -T 36000          # Limite de temps elapsed du job
-#-Q- curie #MSUB -q xlarge
+#-Q- curie #MSUB -q ::default_node::
 #-Q- curie #MSUB -Q normal
 #-Q- curie #MSUB -A ::default_project::
Index: /trunk/libIGCM/AA_pack_restart
===================================================================
--- /trunk/libIGCM/AA_pack_restart	(revision 1153)
+++ /trunk/libIGCM/AA_pack_restart	(revision 1154)
@@ -6,5 +6,5 @@
 #-Q- curie #MSUB -n 1              # Reservation du processus
 #-Q- curie #MSUB -T 7200          # Limite de temps elapsed du job
-#-Q- curie #MSUB -q xlarge
+#-Q- curie #MSUB -q ::default_node::
 #-Q- curie #MSUB -Q normal
 #-Q- curie #MSUB -A ::default_project::
Index: /trunk/libIGCM/AA_rebuild_fromWorkdir
===================================================================
--- /trunk/libIGCM/AA_rebuild_fromWorkdir	(revision 1153)
+++ /trunk/libIGCM/AA_rebuild_fromWorkdir	(revision 1154)
@@ -6,6 +6,5 @@
 #-Q- curie #MSUB -n 1              # Reservation du processus
 #-Q- curie #MSUB -T 36000          # Limite de temps elapsed du job
-#-Q- curie #MSUB -q xlarge         # fat node
-#-Q- curie ##MSUB -q standard      # thin nodes
+#-Q- curie #MSUB -q ::default_node:: # xlarge:fat nodes standard:thin nodes
 #-Q- curie ##MSUB -x               # exclusive node (needed to use high speed disk below)
 #-Q- curie #MSUB -Q normal