Index: trunk/libIGCM/libIGCM_comp/libIGCM_comp.ksh
===================================================================
--- trunk/libIGCM/libIGCM_comp/libIGCM_comp.ksh	(revision 1154)
+++ trunk/libIGCM/libIGCM_comp/libIGCM_comp.ksh	(revision 1155)
@@ -991,5 +991,4 @@
   IGCM_debug_Print 1 "Entering IGCM_comp_modifyDefFile with arguments: $type $filein $key $value"
 
-
   # Test if first argument is correct
   if [ $type != blocker ] && [ $type != nonblocker ] && [ $type != force ] ; then
@@ -1033,5 +1032,4 @@
     IGCM_debug_Exit "IGCM_comp_modifyDefFile : Variable $key is not set in correct file. It should be set in $filein."
   fi
-  
 
   # Check if AUTO is set in the filein on the same line as the key variable
@@ -1044,5 +1042,5 @@
           # Exit because this is a blocker call
           IGCM_debug_Exit "IGCM_comp_modifyDefFile : The variable $key cannot be modified. It should be set to AUTO."
-	  return
+          return
        elif [ $type = nonblocker ] ; then
           # Do nothing. Suppose that the user did set the variable correct
@@ -1051,6 +1049,6 @@
        elif [ $type = force ] ; then
           # Force modification
-	  IGCM_debug_Print 1 "IGCM_comp_modifyDefFile : Variabl=$key was not set to AUTO. Modification will be forced."
-	  modify=yes
+          IGCM_debug_Print 1 "IGCM_comp_modifyDefFile : Variabl=$key was not set to AUTO. Modification will be forced."
+          modify=yes
       fi
   fi
@@ -1082,5 +1080,4 @@
 }
 
-
 #=======================================================================
 function IGCM_comp_modifyNamelist
@@ -1092,5 +1089,5 @@
 #
 # This function is used to modify a parameter file for a specific variable.
-# The file must be a ".def" file, i.e. with IOIPSL parameter file syntax.
+# The file must be a "namelist" file, i.e. with fortran namelist syntax.
 # This function can be used in the comp.driver files for the components.
 #
@@ -1124,5 +1121,4 @@
   IGCM_debug_Print 1 "Entering IGCM_comp_modifyNamelist with arguments: $type $filein $key $value"
 
-
   # Test if first argument is correct
   if [ $type != blocker ] && [ $type != nonblocker ] && [ $type != force ] ; then
@@ -1141,5 +1137,5 @@
   # Read the line with key in the file without the comments
   pattern=$( grep "^ *$key *=" $filein | sed -e "s% *\!.*%%" )
-  
+
   # Verify the existance of the pattern
   if [ X"$pattern" = X ] ; then
@@ -1149,5 +1145,5 @@
       return
   fi
-  
+
   # Check if the variable is set to AUTO in the filein
   if [ $( echo $pattern | grep AUTO | wc -l ) = 1 ] ; then
@@ -1159,6 +1155,6 @@
           # Exit because this is a blocker call
           IGCM_debug_Exit "IGCM_comp_modifyNamelist : The variable $key cannot be modified. It should be set to AUTO."
-	  IGCM_debug_PopStack "IGCM_comp_modifyNamelist"
-	  return
+          IGCM_debug_PopStack "IGCM_comp_modifyNamelist"
+          return
        elif [ $type = nonblocker ] ; then
           # Do nothing. Suppose that the user did set the variable correct
@@ -1167,6 +1163,6 @@
        elif [ $type = force ] ; then
           # Force modification
-	  IGCM_debug_Print 1 "IGCM_comp_modifyNamelist : Variabl=$key was not set to AUTO. Modification will be forced."
-	  modify=yes
+          IGCM_debug_Print 1 "IGCM_comp_modifyNamelist : Variabl=$key was not set to AUTO. Modification will be forced."
+          modify=yes
       fi
   fi
@@ -1185,5 +1181,5 @@
           IGCM_debug_Print 1 "IGCM_comp_modifyNamelist: The syntax in $filein should be:"
           IGCM_debug_Print 1 "IGCM_comp_modifyNamelist: $key=_AUTO_:DEFAULT=def_value"
-	  IGCM_debug_PopStack "IGCM_comp_modifyNamelist"
+          IGCM_debug_PopStack "IGCM_comp_modifyNamelist"
           return
         fi
@@ -1208,5 +1204,5 @@
 #
 # This function is used to modify the value for a specific attribute and variable id.
-# The file must be a of xml syntax.
+# The file must be a valid xml file.
 # This function can be used in the comp.driver files for the components.
 #
@@ -1286,14 +1282,14 @@
       sed -e "s/\(<[^\"]*\"${keyid}\".*>\)\([^<]*\)\(<[^>]*\)/\1${value}\3/" $filein > $filein.tmp
     else
-	  # Check if keyattrib is set on the same line as keyid
-	if [  $( grep -w $keyid $filein | grep $keyattrib | wc -l ) = 1 ] ; then
+          # Check if keyattrib is set on the same line as keyid
+        if [  $( grep -w $keyid $filein | grep $keyattrib | wc -l ) = 1 ] ; then
             # Case to modify the attribute value
-	    IGCM_debug_Print 1 "Now modify ${filein} for id=${keyid} by setting attribute to ${keyattrib}=${value}"
-	    sed -e "/id=\"${keyid}\"/s/\(${keyattrib}=\"\)[^\"]*\(\"\)/\1${value}\2/" $filein > $filein.tmp
-	else
-	    # Case to add the attribute and its value
-	     IGCM_debug_Print 1 "Now add in ${filein} for id=${keyid} the attribute ${keyattrib} to the value ${value}"
-	     sed -e "/id=\"${keyid}\"/s/\/>/ ${keyattrib}=\"${value}\"\/>/" $filein > $filein.tmp
-	fi
+            IGCM_debug_Print 1 "Now modify ${filein} for id=${keyid} by setting attribute to ${keyattrib}=${value}"
+            sed -e "/id=\"${keyid}\"/s/\(${keyattrib}=\"\)[^\"]*\(\"\)/\1${value}\2/" $filein > $filein.tmp
+        else
+            # Case to add the attribute and its value
+             IGCM_debug_Print 1 "Now add in ${filein} for id=${keyid} the attribute ${keyattrib} to the value ${value}"
+             sed -e "/id=\"${keyid}\"/s/\/>/ ${keyattrib}=\"${value}\"\/>/" $filein > $filein.tmp
+        fi
     fi
     \mv $filein.tmp $filein