Index: trunk/libIGCM/libIGCM_sys/libIGCM_sys_iitm.ksh
===================================================================
--- trunk/libIGCM/libIGCM_sys/libIGCM_sys_iitm.ksh	(revision 1163)
+++ trunk/libIGCM/libIGCM_sys/libIGCM_sys_iitm.ksh	(revision 1179)
@@ -125,4 +125,8 @@
 
 #====================================================
+#- OUTCOMMAND_PATH : tmp place to store command lines standard error and outputs
+OUTCOMMAND_PATH=/tmp
+
+#====================================================
 #- HOST_MPIRUN_COMMAND
 typeset -r HOST_MPIRUN_COMMAND=${HOST_MPIRUN_COMMAND:="/usr/bin/time poe"}
@@ -619,12 +623,12 @@
     -e "s:\# \@ error *= .*:\# \@ error = ${Script_Output}:"   \
     $1 > ${REP_FOR_JOB}/JOB_FOR_IGCM
-  cd $REP_FOR_JOB ; /usr/lpp/LoadL/full/bin/llsubmit JOB_FOR_IGCM > /tmp/out_command.$$ 2>&1 ; status=$? ; cd - ;
-
-  cat /tmp/out_command.$$
+  cd $REP_FOR_JOB ; /usr/lpp/LoadL/full/bin/llsubmit JOB_FOR_IGCM > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1 ; status=$? ; cd - ;
+
+  cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
   if [ ${status} -gt 0 ] ; then
     IGCM_debug_Print 2 "IGCM_sys_Qsub $1 : error code ${status}"
     IGCM_debug_Exit "IGCM_sys_Qsub"
   else
-    JobID=$( gawk {'print $4'} /tmp/out_command.$$ | tail -1 | sed -e s/\"//g )
+    JobID=$( gawk {'print $4'} ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ | tail -1 | sed -e s/\"//g )
     IGCM_sys_Rm ${REP_FOR_JOB}/JOB_FOR_IGCM
   fi
@@ -653,12 +657,12 @@
     ${libIGCM_POST}/$1.job > ${REP_FOR_JOB}/JOB_FOR_IGCM
 
-  cd $REP_FOR_JOB ; /usr/lpp/LoadL/full/bin/llsubmit JOB_FOR_IGCM > /tmp/out_command.$$ 2>&1 ; status=$? ; cd - ;
-
-  cat /tmp/out_command.$$
+  cd $REP_FOR_JOB ; /usr/lpp/LoadL/full/bin/llsubmit JOB_FOR_IGCM > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1 ; status=$? ; cd - ;
+
+  cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
   if [ ${status} -gt 0 ] ; then
     IGCM_debug_Print 2 "IGCM_sys_QsubPost $1 : error code ${status}"
     IGCM_debug_Exit "IGCM_sys_QsubPost"
   else
-    JobID=$( gawk {'print $4'} /tmp/out_command.$$ | tail -1 | sed -e s/\"//g )
+    JobID=$( gawk {'print $4'} ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ | tail -1 | sed -e s/\"//g )
     IGCM_sys_Rm ${REP_FOR_JOB}/JOB_FOR_IGCM
   fi
@@ -796,11 +800,11 @@
   mkdir -p ${HOME}/MIRROR/${PATHlibIGCM}
 
-  echo ${RSYNC} ${RSYNC_opt} ${libIGCM} ${HOME}/MIRROR/${PATHlibIGCM} > /tmp/out_command.$$ 2>&1
-  ${RSYNC} ${RSYNC_opt} ${libIGCM} ${HOME}/MIRROR/${PATHlibIGCM} >> /tmp/out_command.$$ 2>&1
+  echo ${RSYNC} ${RSYNC_opt} ${libIGCM} ${HOME}/MIRROR/${PATHlibIGCM} > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
+  ${RSYNC} ${RSYNC_opt} ${libIGCM} ${HOME}/MIRROR/${PATHlibIGCM} >> ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
   status=$?
 
   if [ ${status} -gt 0 ] ; then
     echo "IGCM_sys_Mirror_libIGCM Warning : no libIGCM on frontend."
-    cat /tmp/out_command.$$
+    cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
   fi
   IGCM_debug_PopStack "IGCM_sys_Mirror_libIGCM"
@@ -820,14 +824,14 @@
   typeset status
 
-  echo cp $@ > /tmp/out_command.$$ 2>&1
-  \cp $@ >> /tmp/out_command.$$ 2>&1
+  echo cp $@ > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
+  \cp $@ >> ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
   status=$?
 
   if [ ${status} -gt 0 ] ; then
     echo "IGCM_sys_Cp : error code ${status}"
-    cat /tmp/out_command.$$
+    cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
     IGCM_debug_Exit "IGCM_sys_Cp"
   else
-    \rm /tmp/out_command.$$
+    \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
   fi
   IGCM_debug_PopStack "IGCM_sys_Cp"
@@ -847,14 +851,14 @@
   typeset status
 
-  echo rm $@ > /tmp/out_command.$$ 2>&1
-  \rm $@ >> /tmp/out_command.$$ 2>&1
+  echo rm $@ > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
+  \rm $@ >> ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
   status=$?
 
   if [ ${status} -gt 0 ] ; then
     echo "IGCM_sys_Rm : error code ${status}"
-    cat /tmp/out_command.$$
+    cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
     IGCM_debug_Exit "IGCM_sys_Rm"
   else
-    \rm /tmp/out_command.$$
+    \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
   fi
   IGCM_debug_PopStack "IGCM_sys_Rm"
@@ -875,14 +879,14 @@
   typeset status
 
-  echo rm $@ > /tmp/out_command.$$ 2>&1
-  \rm $@ >> /tmp/out_command.$$ 2>&1
+  echo rm $@ > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
+  \rm $@ >> ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
   status=$?
 
   if [ ${status} -gt 0 ] ; then
     echo "IGCM_sys_RmRunDir : rm error code is ${status}."
-    cat /tmp/out_command.$$
+    cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
     IGCM_debug_Exit "IGCM_sys_RmRunDir"
   else
-    \rm /tmp/out_command.$$
+    \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
   fi
   IGCM_debug_PopStack "IGCM_sys_RmRunDir"
@@ -904,14 +908,14 @@
     typeset status
 
-    echo mv $@ > /tmp/out_command.$$ 2>&1
-    \mv $@ >> /tmp/out_command.$$ 2>&1
+    echo mv $@ > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
+    \mv $@ >> ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
     status=$?
 
     if [ ${status} -gt 0 ] ; then
       echo "IGCM_sys_Mv : error code ${status}"
-      cat /tmp/out_command.$$
+      cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       IGCM_debug_Exit "IGCM_sys_Mv"
     else
-      \rm /tmp/out_command.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
     fi
   fi
@@ -943,13 +947,13 @@
     #
     #USUAL WAY
-    \cp -r $1 $2 > /tmp/out_command.$$ 2>&1
+    \cp -r $1 $2 > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
     status=$?
 
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_Put_Dir : cp failed error code ${status}"
-      cat /tmp/out_command.$$
+      cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       IGCM_debug_Exit "IGCM_sys_Put_Dir"
     else
-      \rm /tmp/out_command.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
     fi
   fi
@@ -977,13 +981,13 @@
 
     #USUAL WAY
-    \cp -ur $1 $2 > /tmp/out_command.$$ 2>&1
+    \cp -ur $1 $2 > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
     status=$?
 
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_Get_Dir : cp failed error code ${status}"
-      cat /tmp/out_command.$$
+      cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       IGCM_debug_Exit "IGCM_sys_Get_Dir"
     else
-      \rm /tmp/out_command.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
     fi
   fi
@@ -1016,5 +1020,5 @@
     i=0
     while [ $i -lt $NB_ESSAI ] ; do
-      \cp -urL $1 $2 > /tmp/out_command.$$ 2>&1
+      \cp -urL $1 $2 > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
       status=$?
       if [ ${status} -gt 0 ]; then
@@ -1030,8 +1034,8 @@
     if [ ${status} -gt 0 ] ; then
       echo "IGCM_sys_Get_Master : error."
-      cat /tmp/out_command.$$
+      cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       IGCM_debug_Exit "IGCM_sys_Get_Master"
     else
-      \rm /tmp/out_command.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
     fi
   fi
@@ -1072,13 +1076,13 @@
     #
     #USUAL WAY
-    \cp $1 $2 > /tmp/out_command.$$ 2>&1
+    \cp $1 $2 > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
     status=$?
 
     if [ ${status} -gt 0 ] ; then
       echo "IGCM_sys_Put_Rest : cp failed error code ${status}"
-      cat /tmp/out_command.$$
+      cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       IGCM_debug_Exit "IGCM_sys_Put_Rest"
     else
-      \rm /tmp/out_command.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
     fi
   fi
@@ -1111,5 +1115,5 @@
     #
     # USUAL WAY
-    \cp $1 $2 > /tmp/out_command.$$ 2>&1
+    \cp $1 $2 > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
     status=$?
 
@@ -1118,8 +1122,8 @@
       [ -f ${2} ] && ls -l ${2}
       [ -f ${2}/${1} ] && ls -l ${2}/${1}
-      cat /tmp/out_command.$$
+      cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       IGCM_debug_Exit "IGCM_sys_PutBuffer_Rest"
     else
-      \rm /tmp/out_command.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
     fi
   fi
@@ -1167,13 +1171,13 @@
     #
     #USUAL WAY
-    \cp $1 $2 > /tmp/out_command.$$ 2>&1
+    \cp $1 $2 > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
     status=$?
 
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_Put_Out : cp failed error code ${status}"
-      cat /tmp/out_command.$$
+      cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       IGCM_debug_Exit "IGCM_sys_Put_Out"
     else
-      \rm /tmp/out_command.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
     fi
   fi
@@ -1233,5 +1237,5 @@
       while [ $i -lt $NB_ESSAI ] ; do
         # USUAL WAY
-        \cp $1 $2 > /tmp/out_command.$$ 2>&1
+        \cp $1 $2 > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
         status=$?
         if [ ${status} -gt 0 ]; then
@@ -1252,5 +1256,5 @@
       [ -f ${2} ] && ls -l ${2}
       [ -f ${2}/${1} ] && ls -l ${2}/${1}
-      cat /tmp/out_command.$$
+      cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       IGCM_debug_Exit "IGCM_sys_PutBuffer_Out"
     else
@@ -1263,5 +1267,5 @@
       fi
 
-      \rm /tmp/out_command.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
     fi
   fi
@@ -1308,13 +1312,13 @@
 
     #USUAL WAY
-    \cp ${dm_liste[*]} ${DEST} > /tmp/out_command.$$ 2>&1
+    \cp ${dm_liste[*]} ${DEST} > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
     status=$?
 
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_Get : cp failed error code ${status}"
-      cat /tmp/out_command.$$
+      cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       IGCM_debug_Exit "IGCM_sys_Get"
     else
-      \rm /tmp/out_command.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
     fi
   fi
@@ -1356,5 +1360,5 @@
         i=0
         while [ $i -lt $NB_ESSAI ] ; do
-          \cp ${target} ${DEST}/${local_file} >> /tmp/out_command.$$ 2>&1
+          \cp ${target} ${DEST}/${local_file} >> ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
           status=$?
           if [ ${status} -gt 0 ]; then
@@ -1369,9 +1373,9 @@
         if [ ${status} -gt 0 ] ; then
           echo "IGCM_sys_Get : error"
-          cat /tmp/out_command.$$
-          \rm /tmp/out_command.$$
+          cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
+          \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
           IGCM_debug_Exit "IGCM_sys_GetBuffer"
         else
-          \rm /tmp/out_command.$$
+          \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
         fi
       done
@@ -1379,5 +1383,5 @@
       i=0
       while [ $i -lt $NB_ESSAI ] ; do
-        \cp ${buf_liste} ${DEST} >> /tmp/out_command.$$ 2>&1
+        \cp ${buf_liste} ${DEST} >> ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
         status=$?
         if [ ${status} -gt 0 ]; then
@@ -1392,9 +1396,9 @@
       if [ ${status} -gt 0 ] ; then
         echo "IGCM_sys_Get : error"
-        cat /tmp/out_command.$$
-        \rm /tmp/out_command.$$
+        cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
+        \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
         IGCM_debug_Exit "IGCM_sys_GetBuffer"
       else
-        \rm /tmp/out_command.$$
+        \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       fi
     fi
@@ -1503,10 +1507,10 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    /gpfs1/home/sebastien/REBUILD/rebuild -f -o $@ > /tmp/out_command.$$ 2>&1
+    /gpfs1/home/sebastien/REBUILD/rebuild -f -o $@ > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_rebuild : error code ${status}"
-      cat /tmp/out_command.$$
-      \rm /tmp/out_command.$$
+      cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       IGCM_debug_Print 2 "IGCM_sys_rebuild : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       firstArg=${1}
@@ -1514,5 +1518,5 @@
       sleep $DELAI
     else
-      \rm /tmp/out_command.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       break
     fi
@@ -1932,14 +1936,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncap2 -C "$@" > /tmp/out_command.$$ 2>&1
+    ncap2 -C "$@" > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncap2 : error code ${status}"
-      cat /tmp/out_command.$$
-      \rm /tmp/out_command.$$
+      cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       IGCM_debug_Print 2 "IGCM_sys_ncap2 : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm /tmp/out_command.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       break
     fi
@@ -1974,14 +1978,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncatted "$@" > /tmp/out_command.$$ 2>&1
+    ncatted "$@" > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncatted : error code ${status}"
-      cat /tmp/out_command.$$
-      \rm /tmp/out_command.$$
+      cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       IGCM_debug_Print 2 "IGCM_sys_ncatted : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm /tmp/out_command.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       break
     fi
@@ -2016,14 +2020,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncbo -C $@ > /tmp/out_command.$$ 2>&1
+    ncbo -C $@ > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncbo : error code ${status}"
-      cat /tmp/out_command.$$
-      \rm /tmp/out_command.$$
+      cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       IGCM_debug_Print 2 "IGCM_sys_ncbo : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm /tmp/out_command.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       break
     fi
@@ -2058,14 +2062,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncdiff -C $@ > /tmp/out_command.$$ 2>&1
+    ncdiff -C $@ > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncdiff : error code ${status}"
-      cat /tmp/out_command.$$
-      \rm /tmp/out_command.$$
+      cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       IGCM_debug_Print 2 "IGCM_sys_ncdiff : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm /tmp/out_command.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       break
     fi
@@ -2100,14 +2104,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncea -C $@ > /tmp/out_command.$$ 2>&1
+    ncea -C $@ > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncea : error code ${status}"
-      cat /tmp/out_command.$$
-      \rm /tmp/out_command.$$
+      cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       IGCM_debug_Print 2 "IGCM_sys_ncea : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm /tmp/out_command.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       break
     fi
@@ -2142,14 +2146,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncecat -C $@ > /tmp/out_command.$$ 2>&1
+    ncecat -C $@ > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncecat : error code ${status}"
-      cat /tmp/out_command.$$
-      \rm /tmp/out_command.$$
+      cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       IGCM_debug_Print 2 "IGCM_sys_ncecat : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm /tmp/out_command.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       break
     fi
@@ -2184,14 +2188,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncflint -C $@ > /tmp/out_command.$$ 2>&1
+    ncflint -C $@ > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncflint : error code ${status}"
-      cat /tmp/out_command.$$
-      \rm /tmp/out_command.$$
+      cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       IGCM_debug_Print 2 "IGCM_sys_ncflint : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm /tmp/out_command.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       break
     fi
@@ -2226,14 +2230,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncks -C $@ > /tmp/out_command.$$ 2>&1
+    ncks -C $@ > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncks : error code ${status}"
-      cat /tmp/out_command.$$
-      \rm /tmp/out_command.$$
+      cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       IGCM_debug_Print 2 "IGCM_sys_ncks : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm /tmp/out_command.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       break
     fi
@@ -2268,14 +2272,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncpdq -C $@ > /tmp/out_command.$$ 2>&1
+    ncpdq -C $@ > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncpdq : error code ${status}"
-      cat /tmp/out_command.$$
-      \rm /tmp/out_command.$$
+      cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       IGCM_debug_Print 2 "IGCM_sys_ncpdq : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm /tmp/out_command.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       break
     fi
@@ -2310,14 +2314,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncra -C $@ > /tmp/out_command.$$ 2>&1
+    ncra -C $@ > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncra : error code ${status}"
-      cat /tmp/out_command.$$
-      \rm /tmp/out_command.$$
+      cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       IGCM_debug_Print 2 "IGCM_sys_ncra : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm /tmp/out_command.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       break
     fi
@@ -2352,24 +2356,24 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncrcat -C $@ > /tmp/out_command.$$ 2>&1
+    ncrcat -C $@ > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncrcat : error code ${status}"
-      cat /tmp/out_command.$$
-      \rm /tmp/out_command.$$
+      cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       IGCM_debug_Print 2 "IGCM_sys_ncrcat : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
-    elif [ ! "X$( grep "WARNING Intra-file non-monotonicity" /tmp/out_command.$$ )" = "X" ] ; then
+    elif [ ! "X$( grep "WARNING Intra-file non-monotonicity" ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ )" = "X" ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncrcat : WARNING Intra-file non-monotonicity"
-      cat /tmp/out_command.$$
+      cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       # remove files having corrupted time axis
       eval lastArg=\${$#}
       IGCM_debug_Print 2 "IGCM_sys_ncrcat : Delete ${lastArg}"
       \rm ${lastArg}
-      \rm /tmp/out_command.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       IGCM_debug_Print 2 "IGCM_sys_ncrcat : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm /tmp/out_command.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       break
     fi
@@ -2404,14 +2408,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncrename $@ > /tmp/out_command.$$ 2>&1
+    ncrename $@ > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncrename : error code ${status}"
-      cat /tmp/out_command.$$
-      \rm /tmp/out_command.$$
+      cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       IGCM_debug_Print 2 "IGCM_sys_ncrename : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm /tmp/out_command.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       break
     fi
@@ -2446,14 +2450,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncwa -C $@ > /tmp/out_command.$$ 2>&1
+    ncwa -C $@ > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncwa : error code ${status}"
-      cat /tmp/out_command.$$
-      \rm /tmp/out_command.$$
+      cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       IGCM_debug_Print 2 "IGCM_sys_ncwa : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm /tmp/out_command.$$
+      \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
       break
     fi
@@ -2485,10 +2489,10 @@
   typeset status
 
-  \cdo $@ > /tmp/out_command.$$ 2>&1
+  \cdo $@ > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
   status=$?
   if [ ${status} -gt 0 ] ; then
     echo "IGCM_sys_cdo : error code ${status}"
-    cat /tmp/out_command.$$
-    \rm /tmp/out_command.$$
+    cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
+    \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
     IGCM_debug_PopStack "IGCM_sys_cdo"
     return 1