Index: /trunk/libIGCM/AA_SaveSourceModifications
===================================================================
--- /trunk/libIGCM/AA_SaveSourceModifications	(revision 1183)
+++ /trunk/libIGCM/AA_SaveSourceModifications	(revision 1184)
@@ -37,4 +37,12 @@
 #-Q- lxiv8 #PBS -o SaveSource.$$
 #-Q- lxiv8 #PBS -S /bin/ksh
+#-Q- ifort_CICLAD ######################
+#-Q- ifort_CICLAD ##   CICLAD    IPSL ##
+#-Q- ifort_CICLAD ######################
+#-Q- ifort_CICLAD #PBS -N SaveSource
+#-Q- ifort_CICLAD #PBS -m a
+#-Q- ifort_CICLAD #PBS -j oe
+#-Q- ifort_CICLAD #PBS -q std
+#-Q- ifort_CICLAD #PBS -S /bin/ksh
 #-Q- default #!/bin/ksh
 #-Q- default ##################
Index: /trunk/libIGCM/AA_additionnal
===================================================================
--- /trunk/libIGCM/AA_additionnal	(revision 1183)
+++ /trunk/libIGCM/AA_additionnal	(revision 1184)
@@ -37,4 +37,12 @@
 #-Q- lxiv8 #PBS -o ATL_ADD.$$
 #-Q- lxiv8 #PBS -S /bin/ksh
+#-Q- ifort_CICLAD ######################
+#-Q- ifort_CICLAD ##   CICLAD    IPSL ##
+#-Q- ifort_CICLAD ######################
+#-Q- ifort_CICLAD #PBS -N ATL_ADD
+#-Q- ifort_CICLAD #PBS -m a
+#-Q- ifort_CICLAD #PBS -j oe
+#-Q- ifort_CICLAD #PBS -q std
+#-Q- ifort_CICLAD #PBS -S /bin/ksh
 #-Q- default #!/bin/ksh
 #-Q- default ##################
Index: /trunk/libIGCM/AA_atlas_LMDZ
===================================================================
--- /trunk/libIGCM/AA_atlas_LMDZ	(revision 1183)
+++ /trunk/libIGCM/AA_atlas_LMDZ	(revision 1184)
@@ -37,4 +37,12 @@
 #-Q- lxiv8 #PBS -o ATL_LMDZ.$$
 #-Q- lxiv8 #PBS -S /bin/ksh
+#-Q- ifort_CICLAD ######################
+#-Q- ifort_CICLAD ##   CICLAD    IPSL ##
+#-Q- ifort_CICLAD ######################
+#-Q- ifort_CICLAD #PBS -N ATL_LMDZ
+#-Q- ifort_CICLAD #PBS -m a
+#-Q- ifort_CICLAD #PBS -j oe
+#-Q- ifort_CICLAD #PBS -q std
+#-Q- ifort_CICLAD #PBS -S /bin/ksh
 #-Q- default #!/bin/ksh
 #-Q- default ##################
Index: /trunk/libIGCM/AA_atlas_ORCA_LIM
===================================================================
--- /trunk/libIGCM/AA_atlas_ORCA_LIM	(revision 1183)
+++ /trunk/libIGCM/AA_atlas_ORCA_LIM	(revision 1184)
@@ -37,4 +37,12 @@
 #-Q- lxiv8 #PBS -o ATL_OPA.$$
 #-Q- lxiv8 #PBS -S /bin/ksh
+#-Q- ifort_CICLAD ######################
+#-Q- ifort_CICLAD ##   CICLAD    IPSL ##
+#-Q- ifort_CICLAD ######################
+#-Q- ifort_CICLAD #PBS -N ATL_OPA
+#-Q- ifort_CICLAD #PBS -m a
+#-Q- ifort_CICLAD #PBS -j oe
+#-Q- ifort_CICLAD #PBS -q std
+#-Q- ifort_CICLAD #PBS -S /bin/ksh
 #-Q- default #!/bin/ksh
 #-Q- default ##################
Index: /trunk/libIGCM/AA_atlas_ORCHIDEE
===================================================================
--- /trunk/libIGCM/AA_atlas_ORCHIDEE	(revision 1183)
+++ /trunk/libIGCM/AA_atlas_ORCHIDEE	(revision 1184)
@@ -37,4 +37,12 @@
 #-Q- lxiv8 #PBS -o ATL_ORCH.$$
 #-Q- lxiv8 #PBS -S /bin/ksh
+#-Q- ifort_CICLAD ######################
+#-Q- ifort_CICLAD ##   CICLAD    IPSL ##
+#-Q- ifort_CICLAD ######################
+#-Q- ifort_CICLAD #PBS -N ATL_ORCH
+#-Q- ifort_CICLAD #PBS -m a
+#-Q- ifort_CICLAD #PBS -j oe
+#-Q- ifort_CICLAD #PBS -q std
+#-Q- ifort_CICLAD #PBS -S /bin/ksh
 #-Q- default #!/bin/ksh
 #-Q- default ##################
Index: /trunk/libIGCM/AA_atlas_PISCES
===================================================================
--- /trunk/libIGCM/AA_atlas_PISCES	(revision 1183)
+++ /trunk/libIGCM/AA_atlas_PISCES	(revision 1184)
@@ -37,4 +37,12 @@
 #-Q- lxiv8 #PBS -o ATL_PIS.$$
 #-Q- lxiv8 #PBS -S /bin/ksh
+#-Q- ifort_CICLAD ######################
+#-Q- ifort_CICLAD ##   CICLAD    IPSL ##
+#-Q- ifort_CICLAD ######################
+#-Q- ifort_CICLAD #PBS -N ATL_PIS
+#-Q- ifort_CICLAD #PBS -m a
+#-Q- ifort_CICLAD #PBS -j oe
+#-Q- ifort_CICLAD #PBS -q std
+#-Q- ifort_CICLAD #PBS -S /bin/ksh
 #-Q- default #!/bin/ksh
 #-Q- default ##################
Index: /trunk/libIGCM/AA_create_multi_se
===================================================================
--- /trunk/libIGCM/AA_create_multi_se	(revision 1183)
+++ /trunk/libIGCM/AA_create_multi_se	(revision 1184)
@@ -37,4 +37,12 @@
 #-Q- lxiv8 #PBS -o MULTISE.$$
 #-Q- lxiv8 #PBS -S /bin/ksh
+#-Q- ifort_CICLAD ######################
+#-Q- ifort_CICLAD ##   CICLAD    IPSL ##
+#-Q- ifort_CICLAD ######################
+#-Q- ifort_CICLAD #PBS -N MULTISE
+#-Q- ifort_CICLAD #PBS -m a
+#-Q- ifort_CICLAD #PBS -j oe
+#-Q- ifort_CICLAD #PBS -q h12
+#-Q- ifort_CICLAD #PBS -S /bin/ksh
 #-Q- default #!/bin/ksh
 #-Q- default ##################
Index: /trunk/libIGCM/AA_create_se
===================================================================
--- /trunk/libIGCM/AA_create_se	(revision 1183)
+++ /trunk/libIGCM/AA_create_se	(revision 1184)
@@ -37,4 +37,12 @@
 #-Q- lxiv8 #PBS -o SE.$$
 #-Q- lxiv8 #PBS -S /bin/ksh
+#-Q- ifort_CICLAD ######################
+#-Q- ifort_CICLAD ##   CICLAD    IPSL ##
+#-Q- ifort_CICLAD ######################
+#-Q- ifort_CICLAD #PBS -N SE
+#-Q- ifort_CICLAD #PBS -m a
+#-Q- ifort_CICLAD #PBS -j oe
+#-Q- ifort_CICLAD #PBS -q h12
+#-Q- ifort_CICLAD #PBS -S /bin/ksh
 #-Q- default #!/bin/ksh
 #-Q- default ##################
Index: /trunk/libIGCM/AA_create_ts
===================================================================
--- /trunk/libIGCM/AA_create_ts	(revision 1183)
+++ /trunk/libIGCM/AA_create_ts	(revision 1184)
@@ -37,4 +37,12 @@
 #-Q- lxiv8 #PBS -o TS.$$
 #-Q- lxiv8 #PBS -S /bin/ksh
+#-Q- ifort_CICLAD ######################
+#-Q- ifort_CICLAD ##   CICLAD    IPSL ##
+#-Q- ifort_CICLAD ######################
+#-Q- ifort_CICLAD #PBS -N TS
+#-Q- ifort_CICLAD #PBS -m a
+#-Q- ifort_CICLAD #PBS -j oe
+#-Q- ifort_CICLAD #PBS -q h12
+#-Q- ifort_CICLAD #PBS -S /bin/ksh
 #-Q- default #!/bin/ksh
 #-Q- default ##################
Index: /trunk/libIGCM/AA_job
===================================================================
--- /trunk/libIGCM/AA_job	(revision 1183)
+++ /trunk/libIGCM/AA_job	(revision 1184)
@@ -53,4 +53,15 @@
 #-Q- lxiv8 #PBS -v BATCH_NUM_PROC_TOT=::JobNumProcTot::
 #-Q- lxiv8 #PBS -l nodes=1:ppn=::JobNumProcTot::
+#-Q- ifort_CICLAD ######################
+#-Q- ifort_CICLAD ##   CICLAD    IPSL ##
+#-Q- ifort_CICLAD ######################
+#-Q- ifort_CICLAD #PBS -N ::Jobname::
+#-Q- ifort_CICLAD #PBS -m a
+#-Q- ifort_CICLAD #PBS -j oe
+#-Q- ifort_CICLAD #PBS -q h12
+#-Q- ifort_CICLAD #PBS -o Script_Output_::Jobname::.000001
+#-Q- ifort_CICLAD #PBS -S /bin/ksh
+#-Q- ifort_CICLAD #PBS -v BATCH_NUM_PROC_TOT=::JobNumProcTot::
+#-Q- ifort_CICLAD #PBS -l nodes=1:ppn=::JobNumProcTot::
 #-Q- default #!/bin/ksh
 #-Q- default ##################
Index: /trunk/libIGCM/AA_metrics_LMDZ
===================================================================
--- /trunk/libIGCM/AA_metrics_LMDZ	(revision 1183)
+++ /trunk/libIGCM/AA_metrics_LMDZ	(revision 1184)
@@ -37,4 +37,12 @@
 #-Q- lxiv8 #PBS -o METRICS_LMDZ.$$
 #-Q- lxiv8 #PBS -S /bin/ksh
+#-Q- ifort_CICLAD ######################
+#-Q- ifort_CICLAD ##   CICLAD    IPSL ##
+#-Q- ifort_CICLAD ######################
+#-Q- ifort_CICLAD #PBS -N METRICS_LMDZ
+#-Q- ifort_CICLAD #PBS -m a
+#-Q- ifort_CICLAD #PBS -j oe
+#-Q- ifort_CICLAD #PBS -q std
+#-Q- ifort_CICLAD #PBS -S /bin/ksh
 #-Q- default #!/bin/ksh
 #-Q- default ##################
Index: /trunk/libIGCM/AA_monitoring
===================================================================
--- /trunk/libIGCM/AA_monitoring	(revision 1183)
+++ /trunk/libIGCM/AA_monitoring	(revision 1184)
@@ -37,4 +37,12 @@
 #-Q- lxiv8 #PBS -o MONITORING.$$
 #-Q- lxiv8 #PBS -S /bin/ksh
+#-Q- ifort_CICLAD ######################
+#-Q- ifort_CICLAD ##   CICLAD    IPSL ##
+#-Q- ifort_CICLAD ######################
+#-Q- ifort_CICLAD #PBS -N MONITORING
+#-Q- ifort_CICLAD #PBS -m a
+#-Q- ifort_CICLAD #PBS -j oe
+#-Q- ifort_CICLAD #PBS -q std
+#-Q- ifort_CICLAD #PBS -S /bin/ksh
 #-Q- default #!/bin/ksh
 #-Q- default ##################
Index: /trunk/libIGCM/AA_pack_debug
===================================================================
--- /trunk/libIGCM/AA_pack_debug	(revision 1183)
+++ /trunk/libIGCM/AA_pack_debug	(revision 1184)
@@ -37,4 +37,12 @@
 #-Q- lxiv8 #PBS -o PACKDEBUG.$$
 #-Q- lxiv8 #PBS -S /bin/ksh
+#-Q- ifort_CICLAD ######################
+#-Q- ifort_CICLAD ##   CICLAD    IPSL ##
+#-Q- ifort_CICLAD ######################
+#-Q- ifort_CICLAD #PBS -N PACKDEBUG
+#-Q- ifort_CICLAD #PBS -m a
+#-Q- ifort_CICLAD #PBS -j oe
+#-Q- ifort_CICLAD #PBS -q std
+#-Q- ifort_CICLAD #PBS -S /bin/ksh
 #-Q- default #!/bin/ksh
 #-Q- default ##################
Index: /trunk/libIGCM/AA_pack_output
===================================================================
--- /trunk/libIGCM/AA_pack_output	(revision 1183)
+++ /trunk/libIGCM/AA_pack_output	(revision 1184)
@@ -37,4 +37,12 @@
 #-Q- lxiv8 #PBS -o PACKOUTPUT.$$
 #-Q- lxiv8 #PBS -S /bin/ksh
+#-Q- ifort_CICLAD ######################
+#-Q- ifort_CICLAD ##   CICLAD    IPSL ##
+#-Q- ifort_CICLAD ######################
+#-Q- ifort_CICLAD #PBS -N PACKOUTPUT
+#-Q- ifort_CICLAD #PBS -m a
+#-Q- ifort_CICLAD #PBS -j oe
+#-Q- ifort_CICLAD #PBS -q std
+#-Q- ifort_CICLAD #PBS -S /bin/ksh
 #-Q- default #!/bin/ksh
 #-Q- default ##################
Index: /trunk/libIGCM/AA_pack_restart
===================================================================
--- /trunk/libIGCM/AA_pack_restart	(revision 1183)
+++ /trunk/libIGCM/AA_pack_restart	(revision 1184)
@@ -37,4 +37,12 @@
 #-Q- lxiv8 #PBS -o PACKRESTART.$$
 #-Q- lxiv8 #PBS -S /bin/ksh
+#-Q- ifort_CICLAD ######################
+#-Q- ifort_CICLAD ##   CICLAD    IPSL ##
+#-Q- ifort_CICLAD ######################
+#-Q- ifort_CICLAD #PBS -N PACKRESTART
+#-Q- ifort_CICLAD #PBS -m a
+#-Q- ifort_CICLAD #PBS -j oe
+#-Q- ifort_CICLAD #PBS -q std
+#-Q- ifort_CICLAD #PBS -S /bin/ksh
 #-Q- default #!/bin/ksh
 #-Q- default ##################
Index: /trunk/libIGCM/AA_rebuild_fromWorkdir
===================================================================
--- /trunk/libIGCM/AA_rebuild_fromWorkdir	(revision 1183)
+++ /trunk/libIGCM/AA_rebuild_fromWorkdir	(revision 1184)
@@ -40,4 +40,12 @@
 #-Q- lxiv8 #PBS -o REBUILDWRK.$$
 #-Q- lxiv8 #PBS -S /bin/ksh
+#-Q- ifort_CICLAD ######################
+#-Q- ifort_CICLAD ##   CICLAD    IPSL ##
+#-Q- ifort_CICLAD ######################
+#-Q- ifort_CICLAD #PBS -N REBUILDWRK
+#-Q- ifort_CICLAD #PBS -m a
+#-Q- ifort_CICLAD #PBS -j oe
+#-Q- ifort_CICLAD #PBS -q std
+#-Q- ifort_CICLAD #PBS -S /bin/ksh
 #-Q- default #!/bin/ksh
 #-Q- default ##################
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys.ksh	(revision 1183)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys.ksh	(revision 1184)
@@ -71,4 +71,9 @@
         SYSTEM=lxiv8
         . ${libIGCM}/libIGCM_sys/libIGCM_sys_obelix.ksh;;
+    ciclad*)
+        [ ! X${TaskType} = Xchecking ] && echo "sys source ciclad lib."
+        CENTER=IPSL
+        SYSTEM=ifort_CICLAD
+        . ${libIGCM}/libIGCM_sys/libIGCM_sys_ciclad.ksh;;
     iitm*)
         [ ! X${TaskType} = Xchecking ] && echo "sys source iitm lib."